--

with Bcx.Containers;
with Bcx.Containers.Collections;
with Bcx.Containers.Collections.Ordered;
with Bcx.Containers.Collections.Ordered.Unbounded;

with Bcx.Support.Standard_Storage;

generic
   type Item_Type is private;

   with function "<" (L, R : Item_Type) return Boolean is <>;

package Generic_Collection_Ordered_Support_logs is

   package Item_Ordered_Containers is new Bcx.Containers (Item => Item_Type);

   package Item_Ordered_Base_Collections is new Item_Ordered_Containers.Collections;

   package Item_Ordered_Collections is new Item_Ordered_Base_Collections.Ordered;

   package Item_Collections_Ordered_Unbounded is new Item_Ordered_Collections.Unbounded (
      Storage => Bcx.Support.Standard_Storage.Pool);

end Generic_Collection_Ordered_Support_logs;
