--

with Ada.Strings.Bounded;

package Table3 is

   Nb_Of_Rows : constant := 3; --  Do not change this number
   --
   --  Number of rows of the table; that is, a line consists of 3 fields

   Max_Nb_Of_Chars : constant := 80;
   --
   --  Maximal length of bounded string

   package Bounded is new Ada.Strings.Bounded.Generic_Bounded_Length (80);

   Field_Seperator : constant String := ":";
   --
   --  Use this character to separate the 2 fields of a line
   --
   --  The structure of a line is:
   --
   --  "commentry" : "external tag of data" : "value"

end Table3;
