--
with Ada.Text_IO;

procedure Reg_Exp.Test is
   use Ada.Text_IO;
begin

   declare
      Pat : constant String := "[0-9]+";

      Re : Regexp := Compile (Pat);

      S1 : String := "123";
      S2 : String := "a23";
   begin

      Put_Line (Pat & " : " & S1 & " = " & Boolean'Image (Match (S1, Re)));
      Put_Line (Pat & " : " & S2 & " = " & Boolean'Image (Match (S2, Re)));

   end; --  declare

   declare
      Pat : constant String := "[0-9]";

      Re : Regexp := Compile (Pat);

      S1 : String := "123";
   begin

      Put_Line (Pat & " : " & S1 & " = " & Boolean'Image (Match (S1, Re)));

   end; --  declare

   Skip_Line;

exception

   when others =>
      Skip_Line;

end Reg_Exp.Test;
