with Ada.Text_IO;

package Table3.Lines is
   use Ada;

   --  Usage:
   --
   --  Do at first call the function Get_line to read the next line of the table.
   --  Then call the functions Get_Field to get the fields of the line.

   type Field_Index_Type is new Positive range 1 .. Nb_Of_Rows;

   function Get_Line (F : Text_IO.File_Type) return Natural;

   function Get_Field (Fi : Field_Index_Type) return String;


end Table3.Lines;
